<?php

namespace CouponsPlus\App\Coupon\Attributes\Abilities;

use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\Collection;

interface AttributeData
{
    //the id of the global attribute or the key (string) if custom product attribute
    /**
     * @return int|string
     */
    public function getId();
    //the key (string) eg: color
    public function getKey(): StringManager;
    public function getValues(): Collection;
}